-
- All Implemented Interfaces:
public class KeySystemConfigurationThe configuration of a key system which will be used during the licensing process with a given DRM server.
-
-
Nested Class Summary
Nested Classes Modifier and Type Class Description public classKeySystemConfiguration.BuilderThe builder for the key system configuration.
-
Field Summary
Fields Modifier and Type Field Description private final StringlicenseAcquisitionURLprivate final Map<String, String>headersprivate final Map<String, String>queryParametersprivate final LicenseTypelicenseType
-
Constructor Summary
Constructors Constructor Description KeySystemConfiguration(String licenseAcquisitionURL)Creates a key system configuration. KeySystemConfiguration(String licenseAcquisitionURL, Map<String, String> headers, boolean useCredentials, Map<String, String> queryParameters)Creates a key system configuration.
-
Method Summary
Modifier and Type Method Description StringgetLicenseAcquisitionURL()The license acquisition URL. Map<String, String>getHeaders()Map of HTTP headers for the license acquisition request. Map<String, String>getQueryParameters()The map of query parameters for the license acquisition request. LicenseTypegetLicenseType()The license type. booleanisUseCredentials()Returns whether the player is allowed to use credentials for cross-origin requests. booleanequals(Object o)inthashCode()-
-
Constructor Detail
-
KeySystemConfiguration
KeySystemConfiguration(String licenseAcquisitionURL)
Creates a key system configuration.- Parameters:
licenseAcquisitionURL- The license acquisition URL.
-
KeySystemConfiguration
KeySystemConfiguration(String licenseAcquisitionURL, Map<String, String> headers, boolean useCredentials, Map<String, String> queryParameters)
Creates a key system configuration.- Parameters:
licenseAcquisitionURL- The license acquisition URL.headers- Map of HTTP headers for the license acquisition request.useCredentials- Whether the player is allowed to use credentials for cross-origin requests.queryParameters- Map of query parameters for the license acquisition request.
-
-
Method Detail
-
getLicenseAcquisitionURL
@NonNull() String getLicenseAcquisitionURL()
The license acquisition URL. (NonNull)
-
getHeaders
@Nullable() Map<String, String> getHeaders()
Map of HTTP headers for the license acquisition request.
- Each entry contains a header name with associated value.
-
getQueryParameters
@Nullable() Map<String, String> getQueryParameters()
The map of query parameters for the license acquisition request.
- Each entry contains a query parameter name with associated value.
-
getLicenseType
@Nullable() LicenseType getLicenseType()
The license type.
- Indicates whether the license should be persisted.
- This is only possible if the LicenseType allows it.
-
isUseCredentials
boolean isUseCredentials()
Returns whether the player is allowed to use credentials for cross-origin requests.
- Credentials are cookies, authorization headers or TLS client certificates.
Default: false
-
hashCode
int hashCode()
-
-
-
-